Bug 202942 - Freetype-devel.i386 dependancies
Freetype-devel.i386 dependancies
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
6
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 08:38 EDT by Alan Cox
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 14:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2006-08-17 08:38:20 EDT
Attempting to delete freetype.i386 while tidying up a box to do x86-64 only
testing of something I found that freetype-devel.x86_64 has a dependancy on
freetype.i386, which I assume should be on freetype.x86_64. As a result of this
much stuff is pinned down by the dependancy and lots of x86-32 bits can't be
removed without judicious use of nodeps
Comment 1 Hans de Goede 2006-08-28 10:04:01 EDT
AFAIK this isn't a freetype bug but a more general problem, chances are that you
don't have the (correct version-release of) freetype.x86_64 installed. This is a
strange problem /yum-bug with -devel packages where the Require: %{name} =
{version}-%{release} and when you're installing a -devel package and the main
package is not available already yum install both the i386 and x86_64 versions.
Comment 2 Matthew Miller 2007-04-06 14:17:15 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Hans de Goede 2007-04-06 14:48:01 EDT
I'm not the reported, but I have tried to explain the likely cause as I have
seen  similar problems sometimes. This isn't a freetype bug however, but rather
an rpm shortcoming where versioned requires (nor obsoletes, see the current
hal/pam discussion on the list) are supported. I think this should be fixed at
the rpm level.
Comment 4 Matthew Miller 2007-04-06 14:53:52 EDT
Yeah. As I'm not seeing this specific freetype-devel issue in rawhide, I'm going
to mark this specific bug closed; maybe a "rpm should not suck at arch-colored
requirements/obsoletes" bug should be filed if one isn't already. 


Note You need to log in before you can comment on or make changes to this bug.